Subject: Re: running the latest cygwin on a windows 2003 server
From: Stefan Zachow <[email-masked]>
To: [email-masked]
Date: Wed, 21 Jan 2004 10:02:33 +0100

Good morning,

>How about when you start bash from a command prompt (i.e., open an "MS DOS
>prompt" window, "cd c:\cygwin\bin", and ".\bash.exe --login -i") as a
>non-administrative user?  What if you omit "--login"?
>
when I enter ".\bash.exe --login -i" (with or without --login) I get

   *** CreateFileMapping, Win32 error 0. Terminating.

>This may not have worked with "nontsec".  Also, any particular reason you
>used "X" instead of "x"?
>
What is the default after installation? I assume that I set the
cygwin environment variable afterwards. However, now it
is ntsec again according to your advice.

I used  chmod -R o+rX in the cygwin root to open any directory
and chmod 755 in bin and /usr/bin. I didn't want to make everything
executable.

>Hmm, maybe Pierre or Corinna can voice an opinion on this one.
>
I don't know very much about Samba but is it possible to have
a problem there? User and group related stuff is mapped on
our Samba Server which is a Linux box. I don't know the
Samba version right now, but it is not the latest one.
Maybe anybody knows about that.

>>What does "ls -l /bin/bash" under an administrative account show?  How
>>about "getfacl /bin/bash"?
>>
-rwxr-xr-x+   1 administ mkgroup-  527360 Oct 20 14:12 /bin/bash.exe

# file: /bin/bash
# ownder: administrator
# group: mkgroup-l-d
user::rwx
group::r-x
group:SYSTEM:rwx
group:Administrators:rwx
group:Remote Desktop Users:r-x
mask:rwx
other:r-x

Anyway, your help is greatly appreciated.

Thanks a lot!

   Stefan

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/